#
# spec file for package saja-cascadia-code-fonts
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2019 Xu Zhao (i@xuzhao.net).
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define          fontname       cascadia-code
Name:           saja-cascadia-code-fonts
Version:        2005.15
Release:        lp152.1.1
Summary:        Monospace terminal fonts from Microsoft
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://github.com/microsoft/cascadia-code
Source0:        https://github.com/microsoft/cascadia-code/releases/download/v%{version}/CascadiaCode_%{version}.zip
Source1:        LICENSE.txt
Source2:        OFL-FAQ.txt
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
BuildArch:      noarch

%description
Cascadia Code is a monospaced font that was designed also with Visual Studio / Visual Studio Code in mind.

%prep
%setup -q -n otf
cp %{S:1} .
cp %{S:2} .

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 *.otf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets

%files
%defattr(-, root, root)
%dir %{_ttfontsdir}/
%{_ttfontsdir}/*
%license OFL-FAQ.txt LICENSE.txt

%changelog
* Tue May 19 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2005.15
  * This release of Cascadia Code adjusts the Windows GDI metrics
    to reduce line spacing and fix some vertical alignment issues
    in legacy applications.
* Wed May 13 2020 Ismail Dönmez <idonmez@suse.com>
- Update to version 2004.30
  * Lots of changes, see https://github.com/microsoft/cascadia-code/releases/tag/v2004.30
- Install OTF version of fonts
- Cleanup spec file
- Add LICENSE.txt and OFL-FAQ.txt
* Fri Oct  4 2019 Xu Zhao <i@xuzhao.net>
- v1910.04
  * This release contains the addition of the Latin-1 character set and box drawing glyphs.
* Thu Sep 19 2019 Xu Zhao <i@xuzhao.net>
- Initial release v1909.16
  * This release introduces the initial version of Cascadia Code, under the SIL Open Font license.
